aboutsummaryrefslogtreecommitdiffstats
path: root/main/v4l-utils/APKBUILD
diff options
context:
space:
mode:
authorFrancesco Colista <fcolista@alpinelinux.org>2015-12-18 10:35:52 +0000
committerFrancesco Colista <fcolista@alpinelinux.org>2015-12-18 10:35:52 +0000
commit25e6d1f3898106f37842eee53cb58d05ffbeaaee (patch)
tree9a9e2cef2600ce70da03a401ddcc77f353d2a4b7 /main/v4l-utils/APKBUILD
parentc1208d51e665ff3fb7f26e6f09dcb3417e0e191a (diff)
downloadaports-25e6d1f3898106f37842eee53cb58d05ffbeaaee.tar.gz
aports-25e6d1f3898106f37842eee53cb58d05ffbeaaee.tar.bz2
aports-25e6d1f3898106f37842eee53cb58d05ffbeaaee.tar.xz
main/v4l-utils: splitted lib from main package to -libs subpackage
Diffstat (limited to 'main/v4l-utils/APKBUILD')
-rw-r--r--main/v4l-utils/APKBUILD11
1 files changed, 9 insertions, 2 deletions
diff --git a/main/v4l-utils/APKBUILD b/main/v4l-utils/APKBUILD
index dc84a9891b..8b6a0da500 100644
--- a/main/v4l-utils/APKBUILD
+++ b/main/v4l-utils/APKBUILD
@@ -2,7 +2,7 @@
# Maintainer: Francesco Colista <fcolista@alpinelinux.org>
pkgname=v4l-utils
pkgver=1.8.1
-pkgrel=2
+pkgrel=3
pkgdesc="Userspace tools and conversion library for Video 4 Linux"
url="http://freshmeat.net/projects/libv4l"
arch="all"
@@ -10,7 +10,7 @@ license="LGPL2+"
depends=""
makedepends="qt-dev libjpeg-turbo-dev argp-standalone linux-headers"
install=""
-subpackages="$pkgname-dev $pkgname-doc qv4l2 $pkgname-dvbv5 ir_keytable"
+subpackages="$pkgname-dev $pkgname-doc qv4l2 $pkgname-dvbv5 $pkgname-libs ir_keytable"
source="http://linuxtv.org/downloads/v4l-utils/$pkgname-$pkgver.tar.bz2
qv4l2.svg
qv4l2.desktop
@@ -71,6 +71,13 @@ dvbv5() {
"$subpkgdir"/usr/lib/ || return 1
}
+libs() {
+ pkgdesc="Collection of video4linux support libraries"
+ mkdir -p "$subpkgdir"/usr/lib
+ mv "$pkgdir"/usr/lib/* \
+ "$subpkgdir"/usr/lib || return 1
+}
+
ir_keytable() {
pkgdesc="Alter keymaps of Remote Controller devices"
mkdir -p "$subpkgdir"/lib/udev/rc_keymaps \